package data.hullmods;

import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.combat.ShipAPI.HullSize;

public class TurretRadius extends BaseHullMod {

	public static final float HEALTH_BONUS = 25f;
	public static final float TURN_PENALTY = 25f;
	
	public void applyEffectsBeforeShipCreation(HullSize hullSize, MutableShipStatsAPI stats, String id) {
		
		stats.getWeaponTurnRateBonus().modifyPercent(id, TURN_PENALTY);
		stats.getWeaponHealthBonus().modifyPercent(id, -HEALTH_BONUS);
	}
	
	public String getDescriptionParam(int index, HullSize hullSize) {
		if (index == 0) return "" + (int) TURN_PENALTY;
		if (index == 1) return "" + (int) HEALTH_BONUS;
		return null;
	}


}
