package data.shipsystems.scripts;

import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.plugins.ShipSystemStatsScript;

public class EmergencyVentingStats implements ShipSystemStatsScript {

	public void apply(MutableShipStatsAPI stats, String id, State state, float effectLevel) {
		
		stats.getFluxDissipation().modifyMult(id, 1.5f);
	}
	public void unapply(MutableShipStatsAPI stats, String id) {
		stats.getFluxDissipation().unmodify(id);
	}
	
	public StatusData getStatusData(int index, State state, float effectLevel) {
		if (index == 0) {
			return new StatusData("venting increased 50%", false);
		}
		return null;
	}
}
